1.0
1.0
get /v1/servers/{server_id}/interfaces/{port_id}
Description
Show Server Interface.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerInterfaceListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"interfaces": [
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
]
}